# $Id: perl-Digest-MD5-M4p.spec 2986 2005-03-10 06:56:24Z dag $
# Authority: dries
# Upstream: William Herrera <whererra$lynxview,com>

%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

%define real_name Digest-MD5-M4p

Summary: Perl interface to a variant of the MD5 algorithm
Name: perl-Digest-MD5-M4p
Version: 0.01
Release: 1.rf
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Digest-MD5-M4p/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/Digest/Digest-MD5-M4p-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: perl

%description
he Digest::MD5 module is cloned from the Digest::MD5 module to support a
variant  Apple iTunes implementation of the MD5 algorithm. If you don't know 
why this is so, don't bother with this module! It is incompatible with RSA 
and RFC standards!


%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall

### Clean up buildroot  
%{__rm} -rf %{buildroot}%{perl_archlib} \
                %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README Changes
%doc %{_mandir}/man3/*
%dir %{perl_vendorarch}/Digest/
%dir %{perl_vendorarch}/Digest/MD5/
%{perl_vendorarch}/Digest/MD5/M4p.pm
%dir %{perl_vendorarch}/auto/Digest/
%dir %{perl_vendorarch}/auto/Digest/MD5/
%{perl_vendorarch}/auto/Digest/MD5/M4p

%changelog
* Tue Dec 07 2004 Dries Verachtert <dries@ulyssis.org> - 0.01-1
- Initial package.
